aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--init.d/localmount.in9
-rw-r--r--init.d/netmount.in6
2 files changed, 14 insertions, 1 deletions
diff --git a/init.d/localmount.in b/init.d/localmount.in
index 9d05ebcf..7b947903 100644
--- a/init.d/localmount.in
+++ b/init.d/localmount.in
@@ -15,7 +15,7 @@ depend()
start()
{
# Mount local filesystems in /etc/fstab.
- local types="noproc" x=
+ local types="noproc" x= rc=
for x in $net_fs_list $extra_net_fs_list; do
types="${types},no${x}"
done
@@ -28,6 +28,13 @@ start()
ebegin "Mounting local filesystems"
mount -at "$types"
eend $? "Some local filesystem failed to mount"
+ rc=$?
+ if [ "$RC_UNAME" != Linux ]; then
+ rc=0
+ elif [ "$rc" = 64 ]; then
+ rc=0
+ fi
+ return $rc
}
stop()
diff --git a/init.d/netmount.in b/init.d/netmount.in
index 99db1858..9f8537d1 100644
--- a/init.d/netmount.in
+++ b/init.d/netmount.in
@@ -23,6 +23,12 @@ start()
mount -at $fs
rc=$?
ewend $rc "Could not mount all network filesystems"
+ if [ "$RC_UNAME" != Linux ]; then
+ rc=0
+ elif [ "$rc" = 64 ]; then
+ rc=0
+ fi
+ return $rc
}
stop()